/*******************************************************************************
 * Copyright (c) 2003, 2004 Texas Instruments Incorporated and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     Texas Instruments - Initial API and implementation
 *******************************************************************************/
 
package org.eclipse.cdt.debug.core.cdi.model;

/**
 * Represents a logical group of registers.
 * 
 * The registry view displays the registers by groups.
 * A group has a name and a list of registers that belongs to that group. 
 */
public interface ICDIRegisterGroupObject {
	/**
	 * Returns the registers objects belonging to a give registry group.
	 *   
	 * @return the registers objects belonging to a give registry group.
	 */
	ICDIRegisterObject[] getRegisterObjects();
	
	/**
	 * The name of the register group.
	 *  
	 * @return the name of the register group. 
	 */
	String getName();
}
